<template>
  <div>
    <soundSetCore ref="soundSetCore" />
    <div class="btnWrap"
         v-if="lookType!=='look'"
         style="margin-top:30px">
      <div class="closeBtn"
           @click="getSound">取消</div>
      <div class="okBtn"
           v-permission="{child: 'musicGroup/updateSubjectInfo', parent: '/resetTeaming/resetSound'}"
           @click="saveInfo">保存</div>
    </div>
  </div>
</template>
<script>
import soundSetCore from '@/views/teamBuild/components/soundSetComponents/soundSetCore'
export default {
  components: { soundSetCore },
  data () {
    return {
      lookType: ''
    }
  },
  mounted(){
    this.init()
  },
  activated(){
     this.init()
  },
  methods: {
    init(){
        this.lookType = this.$route.query.type
    },
    saveInfo () {
      this.$refs.soundSetCore.submitInfo()
    },
    getSound () {
      this.$refs.soundSetCore.init()
    },
  }
}
</script>
<style lang="scss" scoped>
</style>